Bug 1459506 - checkboxes on Control Policies->Event Assignments page aren't grouped/organized
checkboxes on Control Policies->Event Assignments page aren't grouped/organized
Status: VERIFIED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity low
: GA
: 5.9.0
Assigned To: Eric Winchell
Dmitry Misharov
ui:usability:control:policy
: TestOnly, ZStream
Depends On:
Blocks: 1461988
  Show dependency treegraph
 
Reported: 2017-06-07 06:18 EDT by Ievgen Zapolskyi
Modified: 2017-10-17 08:32 EDT (History)
8 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1461988 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core
izapolsk: automate_bug-


Attachments (Terms of Use)
event checkboxes (38.93 KB, image/png)
2017-06-07 06:21 EDT, Ievgen Zapolskyi
no flags Details

  None (edit)
Description Ievgen Zapolskyi 2017-06-07 06:18:29 EDT
Description of problem:
Event checkboxes should be grouped somehow.
F.e. "VM Power Off" event is situated in third column whereas "VM Power Off Request" resides in first column. See screenshot.
From my perspective, checkboxes should be grouped in the way when user will be able to easily find necessary event and related events on that page.

Version-Release number of selected component (if applicable):
5.8.0.17

How reproducible:
100%

Steps to Reproduce:
1. Open Control-> Explorer 
2. Click Policies Accordion and choose Control Policies ->Vm Control Policies
3. Add new Instance Control Policy and click it in order to update Configuration menu
4. Choose Configuration->Edit this Policy's Event assignments
5. Try to add VM Power On/Power Off events and their requests

Actual results:
Currently, it takes time to find necessary event on the page especially when user needs to check bunch of events

Expected results:
Events inside categories should be reorganized somehow to make thier usage more convenient.
Comment 2 Ievgen Zapolskyi 2017-06-07 06:21 EDT
Created attachment 1285741 [details]
event checkboxes
Comment 3 Dmitry Misharov 2017-06-08 02:10:41 EDT
Actually the events have alphabetical sort, but it goes from the left to the right :) that's why "VM Power Off Request" and "VM Power Off" in different columns.
Comment 4 Ievgen Zapolskyi 2017-06-08 06:39:56 EDT
dmisharo, I noticed this but it doesn't matter. UI interface should be convenient.
Comment 6 CFME Bot 2017-06-15 11:13:30 EDT
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/c17cabc7fdc480986121784f6f5676013981b52d

commit c17cabc7fdc480986121784f6f5676013981b52d
Author:     Eric Winchell <ewinchel@redhat.com>
AuthorDate: Wed Jun 14 14:08:26 2017 -0400
Commit:     Eric Winchell <ewinchel@redhat.com>
CommitDate: Wed Jun 14 16:56:59 2017 -0400

    Update Policy Event Assignment styling
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459506

 app/controllers/miq_policy_controller/policies.rb |  4 +---
 app/views/miq_policy/_policy_details.html.haml    | 22 ++++++++++++++--------
 2 files changed, 15 insertions(+), 11 deletions(-)
Comment 8 Dmitry Misharov 2017-10-17 08:32:49 EDT
Verified in 5.9.0.2.20171010190026_0413a06. Event checkboxes replaced by bootstrap switches and grouped by categories.

Note You need to log in before you can comment on or make changes to this bug.